package com.ywt.mg.domain.models.enums;

/**
 * 医生身份，1-医生，2-药师
 */
public enum DoctorIdentityEnum {
    DOCTOR("医生", 1),
    PHARMACIST("药师", 2);

    private final String displayName;

    private int value;

    DoctorIdentityEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static DoctorIdentityEnum valueOf(int value) {
        switch (value) {
            case 1:
                return DOCTOR;
            case 2:
                return PHARMACIST;
            default:
                return DOCTOR;
        }
    }

}
